Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class DisplayProductEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ContentEvent
                      com.bea.commerce.ebusiness.tracking.events.DisplayProductEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Deprecated See WLP Commerce product offering

    @Deprecated
    public class DisplayProductEvent

extends ContentEvent

Event for tracking display of product

See Also
  Serialized Form

Field Summary
`static String` | `APPLICATION_NAME` Deprecated See WLP Commerce product offering
`static String` | `BANNER_AD_PROMOTION` Deprecated See WLP Commerce product offering
`static String` | `CATEGORY_BROWSE` Deprecated See WLP Commerce product offering
`static String` | `CATEGORY_ID` Deprecated See WLP Commerce product offering
`static String` | `CATEGORY_VIEW` Deprecated See WLP Commerce product offering
`static String` | `ITEM_BROWSE` Deprecated See WLP Commerce product offering
`static String` | `SKU` Deprecated See WLP Commerce product offering
`static String` | `TYPE` Deprecated See WLP Commerce product offering

Fields inherited from class com.bea.p13n.tracking.events.ContentEvent
`DOCUMENT_ID, DOCUMENT_TYPE`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`DisplayProductEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId, String aSKU, String aCategoryId, String aApplicationName)` Deprecated See WLP Commerce product offering
`DisplayProductEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId, String aSKU, String aCategoryId, String aApplicationName)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Deprecated See WLP Commerce product offering
  The event type

  See Also
    Constants Summary

### CATEGORY_ID

    public static final String CATEGORY_ID

  Deprecated See WLP Commerce product offering
  Event attribute key name for item category id Attribute value is a String

  See Also
    Constants Summary

### SKU

    public static final String SKU

  Deprecated See WLP Commerce product offering
  Event attribute key name for item sku Attribute value is a String

  See Also
    Constants Summary

### APPLICATION_NAME

    public static final String APPLICATION_NAME

  Deprecated See WLP Commerce product offering
  Event attribute key name for storefront (aka application) Attribute value is a String

  See Also
    Constants Summary

### CATEGORY_BROWSE

    public static final String CATEGORY_BROWSE

  Deprecated See WLP Commerce product offering
  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

  See Also
    Constants Summary

### ITEM_BROWSE

    public static final String ITEM_BROWSE

  Deprecated See WLP Commerce product offering
  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

  See Also
    Constants Summary

### CATEGORY_VIEW

    public static final String CATEGORY_VIEW

  Deprecated See WLP Commerce product offering
  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

  See Also
    Constants Summary

### BANNER_AD_PROMOTION

    public static final String BANNER_AD_PROMOTION

  Deprecated See WLP Commerce product offering
  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### DisplayProductEvent

    public DisplayProductEvent(javax.servlet.http.HttpSession session,
                               javax.servlet.http.HttpServletRequest theRequest,
                               String aDocumentType,
                               String aDocumentId,
                               String aSKU,
                               String aCategoryId,
                               String aApplicationName)

  Deprecated See WLP Commerce product offering

  Create a new DisplayProductEvent. This ctor must be used to track anonymous users

  Parameters
    `session` - the http servlet session object
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)
    `aCategoryId` - Category of the item associated with the displayed content (optionally null)
    `aSKU` - SKU of the item associated with the displayed content (optionally null)
    `aApplicationName` - application name (Storefront) (optionally null)

### DisplayProductEvent

    public DisplayProductEvent(String theSessionId,
                               String theUserId,
                               javax.servlet.http.HttpServletRequest theRequest,
                               String aDocumentType,
                               String aDocumentId,
                               String aSKU,
                               String aCategoryId,
                               String aApplicationName)

  Deprecated

  Create a new DisplayProductEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)
    `aCategoryId` - Category of the item associated with the displayed content (optionally null)
    `aSKU` - SKU of the item associated with the displayed content (optionally null)
    `aApplicationName` - application name (Storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.